#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IDN-Nameprep
Summary:	IDN nameprep tools
Summary(pl.UTF-8):	Narzędzia obsługujące specyfikację IDN nameprep
Name:		perl-Net-IDN-Nameprep
Version:	1.102
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/CFAERBER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba4342fdb57e2c62afc122194d1e680b
URL:		http://search.cpan.org/dist/IDN-Nameprep/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Unicode-Stringprep >= 1.1
%endif
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-NoWarnings
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IDN::Nameprep implements IDN nameprep specification. This module
exports only one function called nameprep.

%description -l pl.UTF-8
Net::IDN::Nameprep jest implementacją specyfikacji IDN nameprep. Ten
moduł eksportuje tylko jedną funkcję o nazwie nameprep.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/IDN/Nameprep.pm
%{_mandir}/man3/Net::IDN::Nameprep.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-IDN-Nameprep.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> beefbaf
- up to 1.102

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 9fb44c0
- up to 1.101

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 29372b1
- updated to 1.100

* Fri Jul 25 2008 Tomasz Pala <gotar@pld-linux.org> ecaca3f
- added missing autodeps bcond definition

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 57ea163
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 19774b2
- converted to UTF-8

* Fri Aug 25 2006 radek <radek@pld-linux.org> f20b493
- release 2: BR: perl-Unicode-String for tests

* Wed Dec 01 2004 radek <radek@pld-linux.org> 7b26823
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 3b933b1
- formatting

* Mon Aug 02 2004 ankry <ankry@pld-linux.org> e27b77d
- removed dir belonging to perl-base, rel. 3

* Sat Jun 05 2004 radek <radek@pld-linux.org> 482da37
- massive: unfold macros in name/summary & other unifications

* Mon May 31 2004 Jakub Bogusz <qboosh@pld-linux.org> cbf735a
- pl, added vendorlib/Net/IDN dir; release 2

* Mon May 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 5d8113c
- new

